#pragma once
#ifndef QTWIDGETSCLASS_ISAR_H
#define QTWIDGETSCLASS_ISAR_H

#include "AllHead.h"
#include <QWidget>
#include "ui_QtWidgetsClass_ISAR.h"

class QtWidgetsClass_ISAR : public QWidget, public FEKOBase::FEKOSimulationDataparamsHandler
{
	Q_OBJECT

 
public slots:
	void FEKOSimulationDataparamsChanged_slots();
public:
	void bandingsetFEKOSimulationDataparams() override;
 
public:
	QtWidgetsClass_ISAR(QWidget *parent = nullptr);
	~QtWidgetsClass_ISAR();
signals:
	void OKClick();
public slots:
	void on_pushButton_OK_clicked();
private:
	Ui::QtWidgetsClass_ISARClass ui;
};



#endif